---
# This stages block will be overridden by the main pipeline calling this one.
# It is only included so that this file passes linting checks.
stages:
  - lint

# Include
#   - project: dreamer-labs/repoman/gitlab-ci-templates
#     file: /.gitlab-ci-ansible-lint.yml
#     ref: master

# VARIABLES
# Set these vars in you CI/CD vars section

flake8:
  stage: lint
  image:
    name: bitnami/python:3.8.1
    entrypoint: [""]
  script:
    - pip install --upgrade pip
    - pip install -U "flake8>=6.0.0,<7.0.0"
    - pip list --outdated | grep flake8 1>&2 || true
    - flake8 .
  only:
    - master
    - merge_requests
  except:
    variables:
      - $CI_COMMIT_MESSAGE =~ /^chore\(release\)/
